Current identity, role and mode
GET
/api/v1/me
const url = 'https://example.com/api/v1/me';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/meWho the caller is; the anonymous viewer when there is no valid session.
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
MeResponse
Identity of the caller and the runtime mode.
object
Example
{ "can_claim": false, "mode": "replay", "osm_signin": false, "role": "viewer", "via_osm": false}Map data © OpenStreetMap contributors, under the Open Database Licence. Code under the Apache-2.0 licence. Made by Yogesh.
Changeset Second Opinion is an independent open source tool for OpenStreetMap reviewers. It is not endorsed by, sponsored by or affiliated with the OpenStreetMap Foundation. OpenStreetMap is a trademark of the OpenStreetMap Foundation, used under itstrademark policy.